Account (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Account interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Account

All Superinterfaces:
  Contact, ManagedElement, ModelObject, OrganizationalEntity, java.io.Serializable

All Known Subinterfaces:
  CitrixUser

    public interface Account

extends Contact, OrganizationalEntity

Naming Rules:
  0="accountName"
Persistable:
  true
Table Name:
  ACCOUNT
Display Name:
  accountName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccountName()`
`java.lang.String` | `getShortName()`
`boolean` | `hasAccountName()`
`boolean` | `hasShortName()`
`void` | `setAccountName(java.lang.String x)`
`void` | `setShortName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.process.OrganizationalEntity
`getAssignedContactpurpose, getAssignedRoles, getBusinessCategory, getCAGECode, getContactpurposeOwner, getDUNSNumber, getEmail, getEntityName, getFax, getGlobalName, getISICCode, getManager, getManagingEntity, getMobilePhone, getNAICSCode, getName, getNAPCSCode, getNote, getOwnedPurpose, getSICCode, getSupportedPurpose, getSupportingContactPurpose, getTitle, getType, getURL, getWorkPhone, hasAssignedContactpurpose, hasAssignedRoles, hasBusinessCategory, hasCAGECode, hasContactpurposeOwner, hasDUNSNumber, hasEmail, hasEntityName, hasFax, hasGlobalName, hasISICCode, hasManager, hasManagingEntity, hasMobilePhone, hasNAICSCode, hasName, hasNAPCSCode, hasNote, hasOwnedPurpose, hasSICCode, hasSupportedPurpose, hasSupportingContactPurpose, hasTitle, hasType, hasURL, hasWorkPhone, setAssignedContactpurpose, setAssignedRoles, setBusinessCategory, setCAGECode, setContactpurposeOwner, setDUNSNumber, setEmail, setEntityName, setFax, setGlobalName, setISICCode, setManager, setManagingEntity, setMobilePhone, setNAICSCode, setName, setNAPCSCode, setNote, setOwnedPurpose, setSICCode, setSupportedPurpose, setSupportingContactPurpose, setTitle, setType, setURL, setWorkPhone`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getShortName

    java.lang.String getShortName()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setShortName

    void setShortName(java.lang.String x)

### hasShortName

    boolean hasShortName()

### getAccountName

    java.lang.String getAccountName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAccountName

    void setAccountName(java.lang.String x)

### hasAccountName

    boolean hasAccountName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD